Create Atikamekw Wikipedia
Closed, ResolvedPublic

Description

If possible, it's requested that this wiki can be created before 21 June 2017

The language committee has approved the creation of a Wikipedia in the Atikamekw language.

Language code: atj
Site URL: atj.wikipedia.org
Project name: Wikipetcia
Project namespace: Wikipetcia
Project talk namespace: Ke ici aimihitonaniwok Wikipetcia
Project logo: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-atj.svg
Timezone: America/Montreal

Thank you.

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2017-06-14T21:27:34Z] <reedy@tin> Synchronized wmf-config/InitialiseSettings.php: atjwiki T167714 (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2017-06-14T21:29:00Z] <reedy@tin> Synchronized static/images/project-logos/: atjwiki T167714 (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2017-06-14T21:29:55Z] <reedy@tin> Synchronized langlist: Add atj T167714 (duration: 00m 43s)

Change 359054 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Update interwiki.php, at atkwiki

https://gerrit.wikimedia.org/r/359054

Change 359054 merged by jenkins-bot:
[operations/mediawiki-config@master] Update interwiki.php, at atkwiki

https://gerrit.wikimedia.org/r/359054

Mentioned in SAL (#wikimedia-operations) [2017-06-14T21:36:38Z] <reedy@tin> Synchronized wmf-config/interwiki.php: Update interwiki map for atjwiki T167714 (duration: 00m 44s)

Change 359061 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Add atjwiki

https://gerrit.wikimedia.org/r/359061

A quick look suggests you could do with translating the namespaces for atj

Change 359061 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Add atjwiki

https://gerrit.wikimedia.org/r/359061

Change 359066 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add atjwiki meta namespace talk

https://gerrit.wikimedia.org/r/359066

Change 359066 merged by jenkins-bot:
[operations/mediawiki-config@master] Add atjwiki meta namespace talk

https://gerrit.wikimedia.org/r/359066

The wiki is now for all intents and purposes, created.

There's a few followup issues (specifically with Wikidata) to be addressed

Thank you Reedy, Dzahn and Marostegui.

It's funny because, the community is following this task and comments it on Facebook! :-)
About f/u on Wikidata, do I need to address it, or it's already done?

About f/u on Wikidata, do I need to address it, or it's already done?

It's tracked in T167720

I'm waiting on the WMDE guys to get back to me about it

I created the Wikidata item for it. Feel free to add more statements, like logo image.

https://www.wikidata.org/wiki/Q30286865

Change 358412 merged by Andrew Bogott:
[operations/puppet@production] labs dnsrecursor: add atjwiki

https://gerrit.wikimedia.org/r/358412

Thank you Dzahn.

I'm trying to link atj home page to Q5296... but language don't popup.
Did I missed something?

Thank you Dzahn.

I'm trying to link atj home page to Q5296... but language don't popup.
Did I missed something?

It's related to T167720; I don't think creating a wikidata item helps here.

Wikidata doesn't seem to know about the language code, the instructions on Wikitech are wrong, and I can't see obviously where it needs telling about it

I'm trying to link atj home page to Q5296... but language don't popup.
Did I missed something?

I used property "official homepage" and set it to "https://atj.wikipedia.org/"

I think Q5296 is "any Wikimedia project main page" and doesn't have a language.

You could upload the logo image to commons. And then link it to property "logo image".

Sorry if i added confusion but my creation of the wikidata item is unrelated to T167720. That still needs to be done.

Dzahn added a comment.Jun 15 2017, 5:46 AM

https://gerrit.wikimedia.org/r/#/c/358410/

->
2017-06-12

20:30 mutante: ns0, ns1 - same as before - gen zones, check zones, reload zones, to add "atj.wikipedia.org" (T167714)
20:26 mutante: ns2 - authdns-gen-zones -f /srv/authdns/git/templates /etc/gdnsd/zones && gdnsd checkconf && gdnsd reload-zones to add new Wikipedia language "atj" (needed when editing langlist but not touching templates) (T167714)
->

https://gerrit.wikimedia.org/r/#/q/status:merged+message:atj

2017-06-14

22:33 reedy@tin: Synchronized wmf-config/InitialiseSettings.php: meta namespace talk for atjwiki (duration: 00m 44s)
21:36 reedy@tin: Synchronized wmf-config/interwiki.php: Update interwiki map for atjwiki T167714 (duration: 00m 44s)
21:29 reedy@tin: Synchronized langlist: Add atj T167714 (duration: 00m 43s)
21:29 reedy@tin: Synchronized static/images/project-logos/: atjwiki T167714 (duration: 00m 43s)
21:27 reedy@tin: Synchronized wmf-config/InitialiseSettings.php: atjwiki T167714 (duration: 00m 43s)
21:26 reedy@tin: rebuilt wikiversions.php and synchronized wikiversions files: Add atjwiki T167714
21:25 reedy@tin: Synchronized dblists/: add atjwiki T167714 (duration: 00m 42s)

(https://wikitech-static.wikimedia.org/wiki/Server_Admin_Log)

https://gerrit.wikimedia.org/r/#/c/358410/ Add new language "atj" (Atikamekw) (DNS)
https://gerrit.wikimedia.org/r/#/c/359081/ Add atj.wikipedia to whitelist (analytics)
https://gerrit.wikimedia.org/r/#/c/358410/ Add new language "atj" (Atikamekw)
https://gerrit.wikimedia.org/r/#/c/346087/ Move atj in RELEASE-NOTES-1.29 to language section
https://gerrit.wikimedia.org/r/#/c/345092/ atj is now in mw core
https://gerrit.wikimedia.org/r/#/c/293450/ Add support for Atikamekw
https://gerrit.wikimedia.org/r/#/c/320083/ Add French (fr) as fallback for Atikamekw (atj)
https://gerrit.wikimedia.org/r/#/c/293483/ Add atj (translatewiki)

blog with background: https://blog.wikimedia.org/2017/05/15/atikamekw-wikipedia-initiative/

Amire80 added a comment.EditedJun 15 2017, 7:30 AM

Namespace translations are needed. You can see the list of namespaces here: https://atj.wikipedia.org/w/index.php?title=Special:Search&profile=advanced&search=&fulltext=1 (all the checkboxes).

If somebody who knows the language writes all the translations here, I can make the patches.

This comment was removed by Benoit_Rochon.
Benoit_Rochon added a comment.EditedJun 15 2017, 5:24 PM

Hello @Amire80 I got the translations of the namespaces in Atikamekw language:

  • Main = Kitcisinihikaniwoc
  • Talk = Ke ici aimihitonaniwok
  • User = Ka notcitatc
  • User talk = Notcitake aimihitowin
  • Wikipedia = Wikipetcia
  • Wikipedia talk = Ke ici aimihitonaniwok Wikipetcia
  • File = Natisinahikaniwok
  • File talk = Natisinahikaniwoc aimihitowin
  • MediaWiki = MediaWiki
  • MediaWiki talk = Ke ici aimihitonaniwok MediaWiki
  • Template = Tapapapitcikan
  • Template talk = Ke ici aimihitonaniwok
  • Help = Witcihikoiin
  • Help talk = Ke ici aimihitonaniwok witcihewinik
  • Category = Tipanictawin
  • Category talk = Ke ici aimihitonaniwok tipanictawin
  • Module = Aitapihikewin
  • Module talk = Aitapihikan ke ici aimihitonaniwok
  • Gadget = Gadget
  • Gadget talk = Ka ici aimihitonaniwok gadget
  • Gadget definition = Tipatcitcikan e icinakok gadget
  • Gadget definition talk = Ka ici aimihitonaniwok tipatcitcikan gadget otci

Thank you again for your help.

Change 359196 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/Gadgets@master] Add namespaces names for Atikamekw (atj)

https://gerrit.wikimedia.org/r/359196

Thanks.

And sorry, I forgot a few:

  • Special
  • Media

Change 359196 merged by jenkins-bot:
[mediawiki/extensions/Gadgets@master] Add namespaces names for Atikamekw (atj)

https://gerrit.wikimedia.org/r/359196

No problem :

  • Special = Kotakahi
  • Media = Tipatcimoctakewin

Also, a couple of things I noticed:

  • Definitely an error: "Template talk" is the same as "Talk"
  • Possibly not an error, but definitely a curious difference: Why is it that in "Module talk" the work for module is in the beginning, while in most other talk namespaces the corresponding word in in the end?
  • "User talk" is also quite different from other talk namespaces.
Benoit_Rochon added a comment.EditedJun 15 2017, 6:49 PM

Right, my bad.

Atikamekw is a very old language and its particular because it's always related to the territory, the earth, the nature, the human being... So I have a question for you. Let say in few weeks, when the users will have the namespaces in the context of Wikipedia, and they realize that one namespace should be corrected because of the context, is it possible to change? Is the impact is only to change "What links here"?

Right, my bad.

Atikamekw is a very old language and its particular because it's always related to the territory, the earth, the nature, the human being... So I have a question for you. Let say in few weeks, when the users will have the namespaces in the context of Wikipedia, and they realize that one namespace should be corrected because of the context, is it possible to change? Is the impact is only to change "What links here"?

Yes, it's possible to change, and old names can be left as aliases and they will keep working in case there are old links.

Benoit_Rochon added a comment.EditedJun 15 2017, 7:26 PM

All good then. So we reviewed a few namespaces. Here is the new list.

(Sorry not sure the ones that were corrected, so better copy and paste again)

Main = Kitcisinihikaniwoc
Talk = Ke ici aimihitonaniwok
User = Ka notcitatc
User talk = Ke ici aimihitonaniwok notcita iriniw
Wikipedia = Wikipetcia
Wikipedia talk = Ke ici aimihitonaniwok Wikipetcia
File = Natisinahikaniwoc
File talk = Ke ici aimihitonaniwok natisinihikaniwoc
MediaWiki = MediaWiki
MediaWiki talk = Ke ici aimihitonaniwok MediaWiki
Template = Tapapitcikesinihikan
Template talk = Ke ici arimotcikatek tapapitcikesinihikan
Help = Witcihikoiin
Help talk = Ke ici aimihitonaniwok witcihewinik
Category = Tipanictawin
Category talk = Ke ici aimihitonaniwok tipanictawin
Module = Aitapihikewin
Module talk = Aitapihikan ke ici aimihitonaniwok
Gadget = Gadget
Gadget talk = Ka ici aimihitonaniwok gadget
Gadget definition = Tipatcitcikan e icinakok gadget
Gadget definition talk = Ka ici aimihitonaniwok tipatcitcikan gadget otci

Change 359299 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Add namespace names for Atikamekw (atj)

https://gerrit.wikimedia.org/r/359299

Change 359278 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/Scribunto@master] Add namespace names for Atikamekw (atj)

https://gerrit.wikimedia.org/r/359278

This comment was removed by Benoit_Rochon.

Change 359299 merged by jenkins-bot:
[mediawiki/core@master] Add namespace names for Atikamekw (atj)

https://gerrit.wikimedia.org/r/359299

Change 359278 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Add namespace names for Atikamekw (atj)

https://gerrit.wikimedia.org/r/359278

The wiki is now for all intents and purposes, created.

There's a few followup issues (specifically with Wikidata) to be addressed

Is the whole wiki creation routine done? Does it now just wait for the import from Incubator?

DatGuy added a subscriber: DatGuy.Jun 16 2017, 2:02 PM

Seems like it's already imported.

Seems like it's already imported.

Oh indeed! I really should have checked before asking :)

Indeed, even though sitelinks atjwiki can already be added. I guess that some more configuration changes must be deployed for Wikidata.

Benoit_Rochon added a comment.EditedJun 16 2017, 2:26 PM

Interwiki throught Wikidata is not Working...


Where should I ask to be granted bureaucrat on that Wiki ?

@MarcoAurelio is a steward that can grant you it. Not sure if it has the same policy as CU/OS where there need to be at least two.

If it needs to be at least two, grant also @Amqui who is the initiator of Atikamekw project.

The atj community will choose their sysop soon.

Thank you.

Sysop requests can be posted on m:SRP after a local discussion happened.
Bureaucrat rights will not immediately be granted on new wikis.

Am 16.06.2017 6:54 nachm. schrieb "Benoit_Rochon" <
no-reply@phabricator.wikimedia.org>:

Benoit_Rochon added a comment.

If it needs to be at least two, grant also @Amqui
https://phabricator.wikimedia.org/p/Amqui/ who is the initiator of
Atikamekw project.

Do I need to contact anyone to configure Wikidata to have interwiki working, or this is will be automatically done?

Reedy added a comment.Jun 16 2017, 7:31 PM

The wiki is now for all intents and purposes, created.

There's a few followup issues (specifically with Wikidata) to be addressed

Is the whole wiki creation routine done? Does it now just wait for the import from Incubator?

As far as I'm concerned server side, yeah. As always, there'll be little configuration changes that are wanted in the near future, but they can be requested individually as usual, and go through the SWAT or similar process.

There is Wikidata stuff still to be done, but they don't seem to want to talk to me at the moment (or rather, reply to the ticket), so I can't really do much about that until someone at their end tells me how (because the documentation is wrong/out of date see T167720) or does it for us.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJun 18 2017, 1:58 PM
Benoit_Rochon reopened this task as Open.Jun 18 2017, 1:58 PM

Something bizarre: atj:Special:Statistics show 161 content pages, but in fact there are over 400 pages in namespace "0". Anyone would know why numbers doesn't fit?

Dcljr added a subscriber: Dcljr.EditedJun 18 2017, 5:11 PM

Only pages that contain at least one "internal" wikilink to a page on the same wiki count as articles (assuming they are in a "content namespace", which on atj: is the main namespace). See mw:Manual:Article count, for example. (And for more information about article counting than you ever wanted to know, see m:Article counts revisited.)

If you have any other questions about MediaWiki in general or the Atikamekw Wikipedia in particular, you can ask me at atj:User talk:Dcljr. (This task should really stay closed, since the wiki has indeed been created.)

Edit: Oh, I guess you (Benoit) were the one who closed it in the first place. I guess that was an accident? Anyway, once it is properly closed by someone else, it should stay that way… :)

Change 359810 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add atj to InterwikiSortOrders

https://gerrit.wikimedia.org/r/359810

Reedy added a comment.Jun 18 2017, 5:40 PM

Edit: Oh, I guess you (Benoit) were the one who closed it in the first place. I guess that was an accident? Anyway, once it is properly closed by someone else, it should stay that way… :)

Looks like it was duped the wrong way

Change 359810 merged by jenkins-bot:
[operations/mediawiki-config@master] Add atj to InterwikiSortOrders

https://gerrit.wikimedia.org/r/359810

Hello! I noticed that Visual Editor is not working. If you try to edit a page that way, it's blank : https://atj.wikipedia.org/wiki/Atikw

Reedy added a comment.Jun 20 2017, 5:32 PM

I'm guessing based on https://wikitech.wikimedia.org/wiki/Add_a_wiki#Parsoid that https://gerrit.wikimedia.org/r/#/c/359061/1 didn't get deployed yet.

Just left a message on the change, and they're going to be deploying it "right now"

jhsoby added a subscriber: jhsoby.Jun 20 2017, 10:48 PM

That seems to work fine now!

Is this done now or is there anything to do ATM?

aude added a subscriber: aude.Jul 11 2017, 1:00 PM

I updated the sites table 2 weeks ago. interwiki links should work ok now.

I updated the sites table 2 weeks ago. interwiki links should work ok now.

@Benoit_Rochon can you confirm ?

Dcljr added a comment.EditedJul 15 2017, 9:39 AM

Sorry for butting in here, but from a non-admin's perspective, AFAICT interwikis seem to be working fine:

  • interwiki links from atjwiki to other wikis
  • interwiki links from other wikis to atjwiki
  • adding atj article title to an item at Wikidata
  • Wikidata-provided interwikis in sidebar in atjwiki articles

All seem to work as expected.

Of course, @Benoit_Rochon can give his own assessment… [grin]

And BTW, following up on the last comment by @Urbanecm I asked 5 days ago at https://atj.wikipedia.org/wiki/Ke_ici_aimihitonaniwok:Otitikowin#Anything_else.3F , pointing people to this task, and no one has responded. FWIW. (Strangely, none of their 5 admins have edited the wiki since July 9th.)

@Dcljr : all interwikis are working fine.

Regarding sysop actions, it's the Pow-wow season and all contributors, including admins, are mostly in the forest away from computers. We will all meet during Wikimania Montreal, where I'll provide a special training for all of them.

Reedy closed this task as Resolved.Aug 3 2017, 4:42 PM
Reedy claimed this task.
Meno25 removed a subscriber: Meno25.Aug 26 2017, 10:25 AM